Bug 3172 - `make test` fails when using xattr patch
`make test` fails when using xattr patch
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
2.6.7
All Linux
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 20:44 UTC by Mike Frysinger
Modified: 2006-03-12 02:56 UTC (History)
0 users

See Also:


Attachments
test.log (7.73 KB, text/plain)
2005-10-15 20:47 UTC, Mike Frysinger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2005-10-15 20:45:59 UTC
tested rsync-2.6.6 and rsync cvs and both fail the same way

here's what i did to reproduce:
cvs -d :pserver:cvs@pserver.samba.org:/cvsroot co rsync
cd rsync
patch -p0 < patches/acls.diff 
patch -p0 < patches/xattrs.diff 
autoconf
autoheader
./configure --enable-acl-support --enable-xattr-support
make proto
make
make test

--> FAIL    itemize

find log of test failure attached
Comment 1 Mike Frysinger 2005-10-15 20:47:07 UTC
Created attachment 1516 [details]
test.log
Comment 2 Mike Frysinger 2005-10-16 14:00:53 UTC
Michael Cramer proposed this fix:

http://bugs.gentoo.org/attachment.cgi?id=70804
Comment 3 Wayne Davison 2005-10-16 16:34:07 UTC
The acls.diff patch had this same problem fixed back in July, but the analagous
change apparently didn't get made to the xattrs code.  I've committed a fix into
CVS which fixes the testsuite failure (it needed more changes than the gentoo
patch, BTW).

This does not change the fact that the code in xattr.c is lacking in its ability
to report if the xattr values changed or not (when xattrs are being preserved).
 That will need to be fixed before this can be accepted into a released version
of rsync.